<?php
	if (isset($_POST['k1'])) {
		date_default_timezone_set('Europe/Warsaw');
		require_once('wa_polacz.php');
		$lp = count($_POST['k1']);
		$px = $_POST['k1'];
		$py = $_POST['k2'];
		$tytul = $_POST['k3'];
		$kontakt = $_POST['k4'];
		$id = $_POST['k5'];
		$nazwa = $_POST['k6'];
		$lk = count($kontakt);
		if ($lk>0) {
			$zap = "INSERT INTO wgraf (id_user, tytul, px, py, data_wgraf)
					VALUES ($id, '$tytul', '$px', '$py', NOW())";	
			$zapisz = mysqli_query($db, $zap);
			//------------------------
			$idwgraf = mysqli_insert_id($db);

			for ($i=0; $i<$lk; $i++) {
				$do = $kontakt[$i];
				$zap = "INSERT INTO wgraf_adresaci (id_awgraf, od, do, odebrana)
					VALUES ($idwgraf, '$nazwa', '$do', 0)";
				$zapisz = mysqli_query($db, $zap);
			}
		} else {
			echo 'Nie zapisałem danych!!! / '.$lp.' lk: '.$lk.' / tytul :'.$tytul;
			exit;
		}
		echo 'Wykonane!!! / '.$lp.' lk: '.$lk;
		unset($_POST['k1']);
		unset($_POST['k2']);
		unset($_POST['k3']);
		unset($_POST['k4']);
		unset($_POST['k5']);
		unset($_POST['k6']);
	}	
?>
